Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Protected Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.LoginScope Class Reference

The LoginScope is the the scope to interact with LogiKal. The LoginScope can only be received by valid connection to a service (LoginScopeFactoryBase<T>.Login). It is necessary that a service is running. Currently only memory binding is supported. The children are of type ProjectCenter. The children can be received from the CoreObject<T>.Infos. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.LoginScope:

## Public Member Functions
override ProjectCenter | GetChild (ProjectCenterInfo projectCenterInfo)
| Gets a ProjectCenter based on a ProjectCenterInfo. More...
ProjectCenter | GetChild (ProjectCenterInfo projectCenterInfo, ProjectInfo projectInfo)
| Gets a ProjectCenter based on a ProjectCenterInfo and a ProjectInfo. More...
ProjectCenter | GetProjectCenter (ProjectCenterInfo projectCenterInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo) instead. More...
ProjectCenter | GetProjectCenter (ProjectCenterInfo childInfo, ProjectInfo projectInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo, ProjectInfo) instead. More...
IList< LoginRunnableProgram > | GetRunnablePrograms ()
| This method is deprecated. Please use LoginScopeUi.GetRunnablePrograms() instead. More...
IList< ElementType > | GetAvailableElementTypes ()
| This method is deprecated. Please use GetElementTypes instead. More...
IList< ElementType > | GetElementTypes ()
| Returns a list of all available ElementType for the current LoginScope. More...
IList< IElevationProcessingStatus > | GetElevationProcessingStatuses ()
override ProjectCenterInfo | RefreshChild (ProjectCenterInfo childInfo)
IList< ProjectInfo > | GetRecentProjects ()
| Obtains the ProjectInfo of the recently opened projects. More...
IList< ProjectInfo > | GetRecentProjectInfos ()
| This method is deprecated. Please use GetRecentProjects() instead. More...
bool | IsExportNeeded (DatabaseExportType databaseExportType)
| Checks whether the export is needed or not. More...
Stream | GetExport (ExportSettings exportSettings)
| This method is deprecated. Please use GetExport(Dictionary<string, object>) instead. More...
Stream | GetExport (Dictionary< string, object > parameters)
| Gets an export stream for the stated parameters. More...
double | GetGlassPrice (Dictionary< string, object > parameters)
| Gets a glass price based on the stated parameters. More...
ElementPricelistContainer | GetElementPricelistContainer ()
| Gets an ElementPricelistContainer. More...
ICoreObjectFactory | GetCoreObjectFactory ()
| Gets an ICoreObjectFactory. More...
ProgramRuntimeInformation | GetProgramRuntimeInformation ()
| Gets the ProgramRuntimeInformation of the installation. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
void | DisposeChild (ICoreObject coreObject)
bool | IsParentOf (ICoreObject coreObject)
abstract TChildInfo | RefreshChild (TChildInfo childInfo)
void | RefreshChildren ()
virtual TChild | GetChild (TChildInfo childInfo)
virtual IList< TChild > | GetChildren (IEnumerable< TChildInfo > childrenInfos=null)
virtual OperationInfo | CanCreateChild ()
virtual TChildInfo | CreateChild ()
virtual OperationInfo | CanDeleteChild (TChildInfo childInfo)
virtual void | DeleteChild (TChildInfo childInfo, bool forceDelete=false)
virtual OperationInfo | CanMoveFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | MoveFrom (ICoreInfo coreInfo)
virtual OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | CopyFrom (ICoreInfo coreInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Protected Member Functions
override IEnumerable< ProjectCenterInfo > | GetChildrenInfos ()
| Gets the children infos. More...
virtual ProjectCenter | CreateNewInstance (Guid coreObjectId, ProjectCenterInfo projectCenterInfo, ProjectDirectoryInfo projectDirectoryInfo)
override void | Dispose (bool disposing)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
| CoreObjectWithChildren (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
TChildInfo | RefreshChild (Predicate< TChildInfo > predicate, object childInformation)
| Refreshes all infos and returns the appropriate info. More...

## Properties
SettingContainer | Settings`[get]`
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
IList< TChildInfo > | ChildrenInfos`[get, protected set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithParameters
SettingContainer | Settings`[get]`
| The SettingContainer of the ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...

## Detailed Description

The LoginScope is the the scope to interact with LogiKal. The LoginScope can only be received by valid connection to a service (LoginScopeFactoryBase<T>.Login). It is necessary that a service is running. Currently only memory binding is supported. The children are of type ProjectCenter. The children can be received from the CoreObject<T>.Infos.

## Member Function Documentation

## ◆ GetAvailableElementTypes()

IList<ElementType> Ofcas.Lk.Api.Client.Core.LoginScope.GetAvailableElementTypes | ( |  | ) |

This method is deprecated. Please use GetElementTypes instead.

## ◆ GetChild() [1/2]

override ProjectCenter Ofcas.Lk.Api.Client.Core.LoginScope.GetChild | ( | ProjectCenterInfo | projectCenterInfo | ) |

Gets a ProjectCenter based on a ProjectCenterInfo.

Parameters

  projectCenterInfo | The ProjectCenterInfo of the ProjectCenter to be returned.

Returns
  Returns a ProjectCenter based on the given ProjectCenterInfo.

## ◆ GetChild() [2/2]

ProjectCenter Ofcas.Lk.Api.Client.Core.LoginScope.GetChild | ( | ProjectCenterInfo | projectCenterInfo,
|  | ProjectInfo | projectInfo
| ) |  |

Gets a ProjectCenter based on a ProjectCenterInfo and a ProjectInfo.

Parameters

  projectCenterInfo | The ProjectCenterInfo of the ProjectCenter to be returned.
  projectInfo | The ProjectInfo contained in the ProjectCenter to be returned.

Returns
  Returns a ProjectCenter based on the given ProjectCenterInfo and ProjectInfo.

## ◆ GetChildrenInfos()

override IEnumerable<ProjectCenterInfo> Ofcas.Lk.Api.Client.Core.LoginScope.GetChildrenInfos | ( |  | ) |
| protected virtual

Gets the children infos.

Returns
  Returns the children infos.

Implements Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >.

## ◆ GetCoreObjectFactory()

ICoreObjectFactory Ofcas.Lk.Api.Client.Core.LoginScope.GetCoreObjectFactory | ( |  | ) |

Gets an ICoreObjectFactory.

Returns
  Returns an ICoreObjectFactory.

## ◆ GetElementPricelistContainer()

ElementPricelistContainer Ofcas.Lk.Api.Client.Core.LoginScope.GetElementPricelistContainer | ( |  | ) |

Gets an ElementPricelistContainer.

Returns
  Returns an ElementPricelistContainer.

## ◆ GetElementTypes()

IList<ElementType> Ofcas.Lk.Api.Client.Core.LoginScope.GetElementTypes | ( |  | ) |

Returns a list of all available ElementType for the current LoginScope.

Returns
  List with all available element types

## ◆ GetExport() [1/2]

Stream Ofcas.Lk.Api.Client.Core.LoginScope.GetExport | ( | ExportSettings | exportSettings | ) |

This method is deprecated. Please use GetExport(Dictionary<string, object>) instead.

## ◆ GetExport() [2/2]

Stream Ofcas.Lk.Api.Client.Core.LoginScope.GetExport | ( | Dictionary< string, object > | parameters | ) |

Gets an export stream for the stated parameters.

Parameters

  parameters | The parameters to define the export. See WellKnownParameterKeys.LoginScope.Export for details about the keys.

Returns
  Returns a read-only Stream of the export based on the stated parameters.

## ◆ GetGlassPrice()

double Ofcas.Lk.Api.Client.Core.LoginScope.GetGlassPrice | ( | Dictionary< string, object > | parameters | ) |

Gets a glass price based on the stated parameters.

Parameters

  parameters | GLASSNAME: specifies the name of the glass (value-type: string) GLASSTYPE: specifies the type of the glass (value-type: GlassType) WIDTH: specifies the width of the glass (value-type: double) HEIGHT: specifies the height of the glass (value-type: double) THICKNESS: specifies the thickness of the glass (value-type: int) GLASSORIGIN: specifies the origin of the glass (value-type: GlassOrigin) PROJECTGUID (with GlassOrigin.Project): specifies the project origin of the glass (value-type: Guid) SPECIALINSIDE (optional): specifies the special inside (value-type: string) SPECIALOUTSIDE (optional): specifies the special outside (value-type: string) MODELTYPE (optional): specifies the model type of the glass (value-type: int)

Returns
  Returns the glass price calculated.

## ◆ GetProgramRuntimeInformation()

ProgramRuntimeInformation Ofcas.Lk.Api.Client.Core.LoginScope.GetProgramRuntimeInformation | ( |  | ) |

Gets the ProgramRuntimeInformation of the installation.

## ◆ GetProjectCenter() [1/2]

ProjectCenter Ofcas.Lk.Api.Client.Core.LoginScope.GetProjectCenter | ( | ProjectCenterInfo | projectCenterInfo | ) |

This method is deprecated. Please use GetChild(ProjectCenterInfo) instead.

## ◆ GetProjectCenter() [2/2]

ProjectCenter Ofcas.Lk.Api.Client.Core.LoginScope.GetProjectCenter | ( | ProjectCenterInfo | childInfo,
|  | ProjectInfo | projectInfo
| ) |  |

This method is deprecated. Please use GetChild(ProjectCenterInfo, ProjectInfo) instead.

## ◆ GetRecentProjectInfos()

IList<ProjectInfo> Ofcas.Lk.Api.Client.Core.LoginScope.GetRecentProjectInfos | ( |  | ) |

This method is deprecated. Please use GetRecentProjects() instead.

## ◆ GetRecentProjects()

IList<ProjectInfo> Ofcas.Lk.Api.Client.Core.LoginScope.GetRecentProjects | ( |  | ) |

Obtains the ProjectInfo of the recently opened projects.

Returns
  Returns a list of ProjectInfo objects of the recently opened projects.

## ◆ GetRunnablePrograms()

IList<LoginRunnableProgram> Ofcas.Lk.Api.Client.Core.LoginScope.GetRunnablePrograms | ( |  | ) |

This method is deprecated. Please use LoginScopeUi.GetRunnablePrograms() instead.

## ◆ IsExportNeeded()

bool Ofcas.Lk.Api.Client.Core.LoginScope.IsExportNeeded | ( | DatabaseExportType | databaseExportType | ) |

Checks whether the export is needed or not.

Parameters

  databaseExportType | The database export type to be checked.

Returns
  Returns whether the export is needed or not.

The documentation for this class was generated from the following file:

- LoginScope.cs